### Method

# Clutter Actor set_name

#### Declaration [src]

    void
    clutter_actor_set_name (
      ClutterActor* self,
      const gchar* name
    )

#### Description [src]

Sets the given name to `self`. The name can be used to identify a `ClutterActor`.

Sets property | `Clutter.Actor:name`

#### Parameters

`name`

  Type: `const gchar*`

  Textual tag to apply to actor.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.